﻿@import "fonts/fonts.css"; 


/*------------------------------------*\
    General
\*------------------------------------*/

html {overflow: hidden}

.ChangeNumber { margin: 10px 0; }

body { direction: rtl; background-color: #f5f5f5; font-size: 20px; color: #252525; font-family: 'AlmoniNeueLight'; }

h1,h2,h3,h4,h5,h6,.sectionTitle, .MoodButton,.redBtn, th,td:nth-child(1),.cell.name ,
.table-title .cell,  input[type=button],.linkBoxBtn, .contentTabs,label,.menu-sub,ul.treeview a,.sectionName,.collectionsTitles { font-family:'AlmoniTzarMedium', 'BarlowCondensedMedium'; }

.main-bg {position: absolute;top: 0;left: 0;width: 100vw;height: 100vh;overflow: hidden;} 
.main-bg img {position: absolute;bottom: -10px;right:-10px;width: 110%;height: auto;}
.logo {position: absolute;height: 138px;top: -168px;left: 50%;transform: translateX(-50%);}

button.iconBox      {background: transparent;border: 0;padding: 0;display: inline-block;vertical-align: middle;cursor: pointer;}
button.MoodButton                   { border: 0; padding: 5px 20px; border-radius: 17px; font-size: 85%; color: #ffffff; display: inline-block; vertical-align: middle; }
button.MoodButton.purpleBtn         { background: #BE5594; border: 0;padding: 5px 20px 2px; border-radius: 30px; font-size: 85%; color: #ffffff;  display: inline-block; vertical-align: middle; }


.loginContainer {background: #fff;padding: 30px;width: 500px;margin: 0 auto;text-align: center;height: 340px;position: absolute;top: 50%;left: 50%;transform: translate(-50%, -50%);margin-top: 69px;border-radius: 10px;z-index: 2;}
 h1{font-size: 40px;font-weight: normal;}
 input[type="text"],
 input[type="password"] {background-repeat: no-repeat !IMPORTANT;background-position: 98% !Important;padding-right: 35px;border-radius: 3px;margin-top: 20px;height: 42px;font-size: 20px;color: #747c83;width: 420px;border: solid 1px #e7e7e9;}

.userWrapper,
.passwordWrapper{position:relative;width: 100%;}
.passwordWrapper:before,
.userWrapper:before {content:  "";position: absolute;width: 16px;right: 30px;top: 33px;background-size: cover;background-image: url(../content/images/password.svg);height: 20px;}
 .userWrapper:before{background-image: url(../content/images/user.svg);width: 18px;height: 18px;}
 button.MoodButton.purpleBtn {width: 200px;margin-top: 20px;height: 50px;font-size: 24px;}
 button.MoodButton.purpleBtn svg {display: none;}

 input:-webkit-autofill,
 input:-webkit-autofill:hover, 
 input:-webkit-autofill:focus
 textarea:-webkit-autofill,
 textarea:-webkit-autofill:hover
 textarea:-webkit-autofill:focus,
 select:-webkit-autofill,
 select:-webkit-autofill:hover,
 select:-webkit-autofill:focus{
  border: 1px solid f5f5f5;
  -webkit-text-fill-color: #2f323a;
  -webkit-box-shadow: 0 0 0px 1000px #f5f5f5 inset;
  transition: background-color 5000s ease-in-out 0s !important;
}

 ::-webkit-input-placeholder { /* Chrome/Opera/Safari */
 font-family: 'AlmoniNeueLight';
}
::-moz-placeholder { /* Firefox 19+ */
font-family: 'AlmoniNeueLight';
}
:-ms-input-placeholder { /* IE 10+ */
 font-family: 'AlmoniNeueLight';
}
:-moz-placeholder { /* Firefox 18- */
  font-family: 'AlmoniNeueLight';
}



.parallax-viewport {width: 100%;height: 100%;position: absolute;overflow: hidden;top: 0;left: 0;z-index: 1;}
.parallax-viewport > div{position:absolute}
.parallax-viewport #cell-1{bottom: -140px;right: -120px;}
.parallax-viewport #cell-2{top: -70px;right: 310px;}
.parallax-viewport #cell-3{top: 0;left: 540px;}
.parallax-viewport #cell-4{bottom: -45px;left: 0;}

@media (max-width: 767px) {
    .parallax-viewport { max-width: 95vw; z-index: 1; }
    .loginContainer { width: 95vw; padding: 20px 0; height: 290px; margin-top: 50px; }
    input[type="text"], input[type="password"] { width: 90% !important; padding: 0 20px; direction: ltr; }
    .passwordWrapper:before, .userWrapper:before { right: 10px; }
    .main-bg img { bottom: -10px; width: auto; }
    .parallax-viewport #cell-1 { bottom: -40px; right: 0; }
    .parallax-viewport #cell-2 { right: 160px; }
    .parallax-viewport #cell-3 { left: 250px; }
    .userWrapper, .passwordWrapper { width: 90%; margin: 0 auto; }
    .loginContainer h1 { margin: 10px; }
}